Bug 69124 - Disk Druid allows selection of erroneous mount points
Disk Druid allows selection of erroneous mount points
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-07-17 20:30 EDT by David L. Gehrt
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-17 20:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David L. Gehrt 2002-07-17 20:30:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
When doing an install over a previous second install of RedHat GNU/Linux when
attempting to re-use the disk partition used for the second install, Disk Druid
offered as the first listed mount point a name like /1, /usr1 and so forth 
(which are existing partition labels).  The assumption that these mount points
would be corrected was wrong and resulted in a failed install. 

I do not believe that the mount points ending in numerals or any other
non-standard partition mount points should be offered by Disk Druid.  Ordinary
users seem likely to make the same mistake as I did  This is particularly
troublesome because the particular  error I saw was /usr had not enough space. 
This was because the former /usr was mounted as /usr1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.In disk druid if offered a point point such as /<dir>1, select it.
2.Select this non-standard mount point.
3.If the partition is to be /usr, but it is mounted on /usr1, the install will
fail unless the root partition is large enough to contain both a normal root AND

Actual Results:  The results will likely cause a failed installation.

Additional info:

Come to think of it this may not be THAT serious a bug, because normal users are
not likely to do az second install of Linux, but I think the offering of
non-standard mount points that seem to be system mount points is dangerous
enough to the install process to require a change.
Comment 1 Jay Turner 2002-07-18 00:21:18 EDT
This is working just as designed.  There are indeed times that users will create
partitions which have numerals in them.  Disk Druid is just mounting the
partition as you specified.  And if you mount something as /usr1, then the
installer is going to still attempt to install files to a /usr partition.

Note You need to log in before you can comment on or make changes to this bug.